## xtrabackup 1.6.5-328.lenny

=== debian/changelog ===
xtrabackup (1.6.5-328.lenny) unstable; urgency=low

  * Update distribution

 -- Aleksandr Kuzminsky <aleksandr.kuzminsky@percona.com>  Fri, 10 Feb 2012 15:11:09 +0000
