=== utils/deb/Makefile ===
install:
	cp * /usr/bin
