=== debian/changelog ===
xtrabackup (1.6.5-328.natty) natty; urgency=low

  * Update distribution

 -- Aleksandr Kuzminsky <aleksandr.kuzminsky@percona.com>  Fri, 10 Feb 2012 07:28:09 -0800
