## xtrabackup 1.6.5-328.oneiric

=== debian/changelog ===
xtrabackup (1.6.5-328.oneiric) oneiric; urgency=low

  * Update distribution

 -- Aleksandr Kuzminsky <aleksandr.kuzminsky@percona.com>  Fri, 10 Feb 2012 10:27:22 -0500
